=head1 NAME

Gtk2::ScaleButton - wrapper for GtkScaleButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ScaleButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gtk2::ScaleButton-E<gt>B<new> ($size, $min, $max, $step, ...)

=over

=item * $size (Gtk2::IconSize) 

=item * $min (double) 

=item * $max (double) 

=item * $step (double) 

=item * ... (list) 

=back

=head2 adjustment = $button-E<gt>B<get_adjustment> 

=head2 $button-E<gt>B<set_adjustment> ($adjustment)

=over

=item * $adjustment (Gtk2::Adjustment) 

=back

=head2 $button-E<gt>B<set_icons> (...)

=over

=item * ... (list) 

=back

=head2 widget = $button-E<gt>B<get_minus_button> 

Since: gtk+ 2.14

=head2 orientation = $button-E<gt>B<get_orientation> 

Since: gtk+ 2.14

=head2 $button-E<gt>B<set_orientation> ($orientation)

=over

=item * $orientation (Gtk2::Orientation) 

=back

Since: gtk+ 2.14

=head2 widget = $button-E<gt>B<get_plus_button> 

Since: gtk+ 2.14

=head2 widget = $button-E<gt>B<get_popup> 

Since: gtk+ 2.14

=head2 double = $button-E<gt>B<get_value> 

=head2 $button-E<gt>B<set_value> ($value)

=over

=item * $value (double) 

=back



=cut


=head1 PROPERTIES

=over

=item 'adjustment' (Gtk2::Adjustment : default undef : readable / writable / private)

The GtkAdjustment that contains the current value of this scale button object

=item 'icons' (Glib::Strv : default undef : readable / writable / private)

List of icon names

=item 'size' (Gtk2::IconSize : default "small-toolbar" : readable / writable / private)

The icon size

=item 'value' (double : default 0 : readable / writable / private)

The value of the scale

=back



=cut


=head1 SIGNALS

=over

=item B<popdown> (Gtk2::ScaleButton)

=item B<popup> (Gtk2::ScaleButton)

=item B<value-changed> (Gtk2::ScaleButton, double)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back


=head2 enum Gtk2::Orientation

=over

=item * 'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'

=item * 'vertical' / 'GTK_ORIENTATION_VERTICAL'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

